package com.fs.oms.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

public class OmsProduct extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 商品id */
    private Long productId;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String image;

    /** 轮播图 */
    @Excel(name = "轮播图")
    private String sliderImage;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String productName;

    /** 商品简介 */
    @Excel(name = "商品简介")
    private String productInfo;

    /** 编码 */
    @Excel(name = "编码")
    private String barCode;

    /** 分类id */
    @Excel(name = "分类id")
    private Long cateId;

    /** 商品价格 */
    @Excel(name = "商品价格")
    private BigDecimal price;

    /** 市场价 */
    @Excel(name = "市场价")
    private BigDecimal otPrice;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal cost;

    /** 规格 0单 1多 */
    @Excel(name = "规格 0单 1多")
    private Integer specType;

    /** 单位名 */
    @Excel(name = "单位名")
    private String unitName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 商品类型:1非处方 2处方 */
    @Excel(name = "商品类型:1非处方 2处方")
    private Integer productType;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 是否审核 */
    @Excel(name = "是否审核")
    private Integer isAudit;

    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }
    public void setSliderImage(String sliderImage)
    {
        this.sliderImage = sliderImage;
    }

    public String getSliderImage()
    {
        return sliderImage;
    }
    public void setProductName(String productName)
    {
        this.productName = productName;
    }

    public String getProductName()
    {
        return productName;
    }
    public void setProductInfo(String productInfo)
    {
        this.productInfo = productInfo;
    }

    public String getProductInfo()
    {
        return productInfo;
    }
    public void setBarCode(String barCode)
    {
        this.barCode = barCode;
    }

    public String getBarCode()
    {
        return barCode;
    }
    public void setCateId(Long cateId)
    {
        this.cateId = cateId;
    }

    public Long getCateId()
    {
        return cateId;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setOtPrice(BigDecimal otPrice)
    {
        this.otPrice = otPrice;
    }

    public BigDecimal getOtPrice()
    {
        return otPrice;
    }
    public void setCost(BigDecimal cost)
    {
        this.cost = cost;
    }

    public BigDecimal getCost()
    {
        return cost;
    }
    public void setSpecType(Integer specType)
    {
        this.specType = specType;
    }

    public Integer getSpecType()
    {
        return specType;
    }
    public void setUnitName(String unitName)
    {
        this.unitName = unitName;
    }

    public String getUnitName()
    {
        return unitName;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setProductType(Integer productType)
    {
        this.productType = productType;
    }

    public Integer getProductType()
    {
        return productType;
    }
    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }
    public void setIsAudit(Integer isAudit)
    {
        this.isAudit = isAudit;
    }

    public Integer getIsAudit()
    {
        return isAudit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("productId", getProductId())
                .append("image", getImage())
                .append("sliderImage", getSliderImage())
                .append("productName", getProductName())
                .append("productInfo", getProductInfo())
                .append("barCode", getBarCode())
                .append("cateId", getCateId())
                .append("price", getPrice())
                .append("otPrice", getOtPrice())
                .append("cost", getCost())
                .append("specType", getSpecType())
                .append("unitName", getUnitName())
                .append("sort", getSort())
                .append("productType", getProductType())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("isDel", getIsDel())
                .append("isAudit", getIsAudit())
                .toString();
    }
}
